Bug 553850 - Review Request: pki-ra - The Dogtag PKI Registration Authority
Summary: Review Request: pki-ra - The Dogtag PKI Registration Authority
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: Dogtag-to-Fedora
TreeView+ depends on / blocked
 
Reported: 2010-01-09 04:31 UTC by Kevin Wright
Modified: 2015-07-13 04:56 UTC (History)
9 users (show)

Fixed In Version: pki-ra-1.3.0-5.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-04 05:03:44 UTC
panemade: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Kevin Wright 2010-01-09 04:31:25 UTC
first pass at getting this built in fedora

Comment 1 Kevin Wright 2010-01-22 00:16:22 UTC
Description: The Dogtag PKI Registration Authority

Spec URL: http://people.redhat.com/kwright/pki-ra/pki-ra.spec
SRPM URL: http://people.redhat.com/kwright/pki-ra/pki-ra-1.3.0-3.fc11.src.rpm

Comment 2 Parag AN(पराग) 2010-01-26 14:34:56 UTC
Generally Perl dependencies are installed automatically. You can remove Requires for perl packages.

I also see following packages not installed automatically as dependency for this pki-ra package.
perl-DBD-SQLite 
perl-XML-NamespaceSupport

When I check perl code in pki-ra source code, I see these 2 packages are not needed actually.

Comment 3 Kevin Wright 2010-01-26 23:49:43 UTC
Updated spec file and src rpm:

Spec URL: http://people.redhat.com/kwright/pki-ra/pki-ra.spec
SRPM URL: http://people.redhat.com/kwright/pki-ra/pki-ra-1.3.0-4.fc11.src.rpm

Comment 4 Parag AN(पराग) 2010-01-27 11:34:32 UTC
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1947420
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url (sha1sum)
e2b42b7b72e1fafef558eec86c33c7635f01c2c5  pki-ra-1.3.0.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ initscripts scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.


I don't see any need to add sub-package pki-ra-perl that will install pki-ra perl modules as install path for these modules are not standard perl module installation path.


Suggestions:
1) I even don't see use of "Requires: sqlite" as its providing .so files and I see no code in pki-ra consuming it.

APPROVED.

Comment 5 Kevin Wright 2010-01-27 15:57:26 UTC
New Package CVS Request
=======================
Package Name: pki-ra
Short Description: The Dogtag PKI Registration Authority
Owners: kwright
Branches: F-11, F-12, EL-5
InitialCC: ausil

Comment 6 Jason Tibbitts 2010-01-27 21:53:04 UTC
CVS done (by process-cvs-requests.py).

Comment 7 Fedora Update System 2010-01-27 22:16:53 UTC
pki-ra-1.3.0-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pki-ra-1.3.0-4.fc11

Comment 8 Fedora Update System 2010-01-27 22:20:30 UTC
pki-ra-1.3.0-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/pki-ra-1.3.0-4.fc12

Comment 9 Fedora Update System 2010-01-27 22:25:12 UTC
pki-ra-1.3.0-4.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/pki-ra-1.3.0-4.el5

Comment 10 Fedora Update System 2010-01-28 21:15:26 UTC
pki-ra-1.3.0-4.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pki-ra'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2010-0141

Comment 11 Fedora Update System 2010-01-29 03:23:26 UTC
pki-ra-1.3.0-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pki-ra'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1179

Comment 12 Fedora Update System 2010-01-29 03:26:39 UTC
pki-ra-1.3.0-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pki-ra'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-1203

Comment 13 Fedora Update System 2010-02-02 22:24:37 UTC
pki-ra-1.3.0-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pki-ra-1.3.0-5.fc11

Comment 14 Fedora Update System 2010-02-02 22:33:09 UTC
pki-ra-1.3.0-5.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/pki-ra-1.3.0-5.fc12

Comment 15 Fedora Update System 2010-02-02 22:48:23 UTC
pki-ra-1.3.0-5.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/pki-ra-1.3.0-5.el5

Comment 16 Parag AN(पराग) 2010-02-03 09:56:42 UTC
Please follow perl related suggestions for this package also as given in https://bugzilla.redhat.com/show_bug.cgi?id=553852#c6

Comment 17 Fedora Update System 2010-02-03 20:05:07 UTC
pki-ra-1.3.0-5.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pki-ra'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2010-0165

Comment 18 Fedora Update System 2010-02-13 00:43:13 UTC
pki-ra-1.3.0-5.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2010-02-17 16:58:07 UTC
pki-ra-1.3.0-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2010-02-22 22:38:19 UTC
pki-ra-1.3.0-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2010-04-28 01:16:05 UTC
pki-ra-1.3.0-5.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.